Package org.spongepowered.asm.mixin.injection

## Class InjectionPoint.Flags

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.InjectionPoint.Flags

Enclosing class:
  InjectionPoint

    public static final class InjectionPoint.Flags
    extends java.lang.Object

Boolean extensions for the At parser, mainly to avoid having to add many booleans in the future

### Field Summary

Fields
`static int` `UNSAFE` Change the default target restriction from METHODS_ONLY to ALLOW_ALL

### Constructor Summary

Constructors
`Flags()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `parse​(org.objectweb.asm.tree.AnnotationNode at)`
`static int` `parse​(At at)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNSAFE

    public static final int UNSAFE

Change the default target restriction from METHODS_ONLY to ALLOW_ALL

See Also:
  Constant Field Values

### Constructor Detail

#### Flags

    public Flags()

### Method Detail

#### parse

    public static int parse​(At at)

#### parse

    public static int parse​(org.objectweb.asm.tree.AnnotationNode at)